var hidecomm = [], rateval = 0, oleft = 0, otop = 0;

(function($){
	$.fn.livedrag = function(opts){
		this.live("mouseenter",function(){
			if(!$(this).data("init"))$(this).data("init", true).draggable(opts);
		});
		return false;
	};
}(jQuery));
$(function(){
	$(".ocomm_res").each(function(){
		rateval = parseInt($(this).html());
		if(rateval>0) $(this).parent().addClass("oplus");
		else if(rateval<0){
			$(this).parent().addClass("ominus");
			if(rateval<-4){
				var id = $(this).parent().attr('id').split("-");
				hidecomm[id[1]] = $("#comment-id-"+id[1]).html();
				$("#comment-id-"+id[1]).html('<div class="comm_hide">      .<a href="#" onclick="showcomm('+id[1]+');return false;"></a></div>');
			}
		}
	});
	$(".ostats").livedrag({handle:"h4"});
	$(".oclose").live("click",function(){
		$(".ostats").fadeOut(400,function(){$(this).remove();});
		return false;
	});
	$(".ocomm a").live({click:function(e){
		$(".ostats").remove();
		$("body").append('<div class="ostats"><div class="ostats_area"><a href="#" class="oclose" title=""></a><h4> </h4><div class="ostats_rows"></div></div></div>');
		oleft = e.pageX - parseInt($('.ostats').width()) - 35;
		otop = e.pageY-15;
		$(".ostats").css({top:otop,left:oleft});
	}});
})
function ocomrate(id,rate){
	var area = $("#ocomm-"+id);
	$("body").addClass('oload');
	$.post(dle_root+'engine/ajax/rating_comm.php',{comm_id:id,rate:rate,skin:dle_skin},function(data){
		$("body").removeClass('oload');
		if(data.msg){
			$(".ostats_area h4").html("");
			$(".ostats_rows").html('<ul><li class="onoentry">'+data.msg+'</li></ul>');
			$(".ostats").slideDown(600);
		}else{
			if(data.rating > 0){
				data.rating = "+"+data.rating;
				area.removeClass('ominus').addClass("oplus");
			}else if(data.rating < 0) area.removeClass('oplus').addClass("ominus");
			else area.removeClass('oplus').removeClass('ominus');
			area.find('.ocomm_res').html(data.rating);
		}
	},"json");
	area.find("a.orating_m, a.orating_p").addClass('orated').removeAttr('href').removeAttr('title').removeAttr('onclick');
	return false;
}
function ocomstat(id,p,n){
	var area = $("#ocomm-"+id);
	$("body").addClass('oload');
	$(".ostats_rows").fadeTo(300,0.01);
	$.post(dle_root+'engine/ajax/rating_comm_stats.php',{comm_id:id,p:p},function(data){
		$("body").removeClass('oload');
		$('.ostats_rows').html(data);
		if(n) $(".ostats").slideDown(600);
		else $(".ostats_rows").stop(true,true).fadeTo(400,1);
	});
	return false;
}
function showcomm(id){
	$("#comment-id-"+id).html(hidecomm[id]);
	return false;
}